---
title: "Icons"
date: 2020-08-14
lastmod: 2022-03-09
draft: false
description: "Icon support in Blowfish."
slug: "icons"
tags: ["icons", "sample", "shortcodes"]
type: 'sample'
---

Blowfish has built-in support for a number of [FontAwesome 6](https://fontawesome.com/icons) icons. These can be included in your website through either the [icon partial]({{< ref "docs/partials#icon" >}}) or [icon shortcode]({{< ref "docs/shortcodes#icon" >}}).

Additionally, custom icons are also fully supported. Simply provide your own SVG icon assets by placing them in the `assets/icons/` directory in the root of your project. Any icons in the icons directory will then be available to use throughout the theme. In order achieve automatic color filling every SVG path needs fill="currentColor" XML attribute.

The full list of built-in icons and their corresponding names can referenced below.

| Icon name            | Preview                           |
| -------------------- | --------------------------------- |
| amazon               | {{< icon amazon >}}               |
| apple                | {{< icon apple >}}                |
| bars                 | {{< icon bars >}}                 |
| bell                 | {{< icon bell >}}                 |
| blogger              | {{< icon blogger >}}              |
| bluesky              | {{< icon bluesky >}}              |
| bomb                 | {{< icon bomb >}}                 |
| bug                  | {{< icon bug >}}                  |
| check                | {{< icon check >}}                |
| circle-info          | {{< icon circle-info >}}          |
| code                 | {{< icon code>}}                  |
| codepen              | {{< icon codepen >}}              |
| comment              | {{< icon comment >}}              |
| dev                  | {{< icon dev >}}                  |
| discourse            | {{< icon discourse >}}            |
| docker               | {{< icon docker >}}               |
| download             | {{< icon download >}}             |
| dribbble             | {{< icon dribbble >}}             |
| edit                 | {{< icon edit >}}                 |
| email                | {{< icon email >}}                |
| envelope             | {{< icon envelope >}}             |
| expand               | {{< icon expand >}}               |
| eye                  | {{< icon eye >}}                  |
| facebook             | {{< icon facebook >}}             |
| fire                 | {{< icon fire >}}                 |
| flickr               | {{< icon flickr >}}               |
| fork                 | {{< icon fork >}}                 |
| foursquare           | {{< icon foursquare >}}           |
| ghost                | {{< icon ghost >}}                |
| github               | {{< icon github >}}               |
| gitlab               | {{< icon gitlab >}}               |
| globe                | {{< icon globe >}}                |
| goodreads            | {{< icon goodreads >}}            |
| google               | {{< icon google >}}               |
| graduation-cap       | {{< icon graduation-cap >}}       |
| hackernews           | {{< icon hackernews >}}           |
| hashnode             | {{< icon hashnode >}}             |
| heart-empty          | {{< icon heart-empty >}}          |
| heart                | {{< icon heart >}}                |
| image                | {{< icon image >}}                |
| instagram            | {{< icon instagram >}}            |
| itch-io              | {{< icon itch-io >}}              |
| keybase              | {{< icon keybase >}}              |
| kickstarter          | {{< icon kickstarter >}}          |
| ko-fi                | {{< icon ko-fi >}}                |
| language             | {{< icon language >}}             |
| lastfm               | {{< icon lastfm >}}               |
| lightbulb            | {{< icon lightbulb >}}            |
| link                 | {{< icon link >}}                 |
| linkedin             | {{< icon linkedin >}}             |
| list                 | {{< icon list >}}                 |
| location-dot         | {{< icon location-dot >}}         |
| lock                 | {{< icon lock >}}                 |
| mastodon             | {{< icon mastodon >}}             |
| medium               | {{< icon medium >}}               |
| microsoft            | {{< icon microsoft >}}            |
| moon                 | {{< icon moon >}}                 |
| mug-hot              | {{< icon mug-hot >}}              |
| music                | {{< icon music >}}                |
| orcid                | {{< icon orcid >}}                |
| patreon              | {{< icon patreon >}}              |
| paypal               | {{< icon paypal >}}               |
| pencil               | {{< icon pencil >}}               |
| pgpkey               | {{< icon pgpkey >}}               |
| phone                | {{< icon phone >}}                |
| pinterest            | {{< icon pinterest >}}            |
| poo                  | {{< icon poo >}}                  |
| reddit               | {{< icon reddit >}}               |
| researchgate         | {{< icon researchgate >}}         |
| rss                  | {{< icon rss >}}                  |
| rss-square           | {{< icon rss-square >}}           |
| scale-balanced       | {{< icon scale-balanced >}}       |
| search               | {{< icon search >}}               |
| shield               | {{< icon shield >}}               |
| skull-crossbones     | {{< icon skull-crossbones >}}     |
| slack                | {{< icon slack >}}                |
| snapchat             | {{< icon snapchat >}}             |
| soundcloud           | {{< icon soundcloud >}}           |
| spotify              | {{< icon spotify >}}              |
| stack-overflow       | {{< icon stack-overflow >}}       |
| star                 | {{< icon star >}}                 |
| steam                | {{< icon steam >}}                |
| stripe               | {{< icon stripe >}}               |
| substack             | {{< icon substack >}}             |
| sun                  | {{< icon sun >}}                  |
| tag                  | {{< icon tag >}}                  |
| telegram             | {{< icon telegram >}}             |
| threads              | {{< icon threads >}}              |
| tiktok               | {{< icon tiktok >}}               |
| triangle-exclamation | {{< icon triangle-exclamation >}} |
| tumblr               | {{< icon tumblr >}}               |
| twitch               | {{< icon twitch >}}               |
| twitter              | {{< icon twitter >}}              |
| wand-magic-sparkles  | {{< icon wand-magic-sparkles >}}  |
| whatsapp             | {{< icon whatsapp >}}             |
| x-twitter            | {{< icon x-twitter >}}            |
| xing                 | {{< icon xing >}}                 |
| xmark                | {{< icon xmark >}}                |
| youtube              | {{< icon youtube >}}              |
| codeberg             | {{< icon codeberg >}}             |
